libblockdev-part-err-dev_2.20-7_i386.deb


Advertisement

Description

libblockdev-part-err-dev - Partition error utility functions for libblockdev - development

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libblockdev-part-err-dev_2.20-7_i386.deb
Package name libblockdev-part-err-dev
Package version 2.20
Package release 7
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/storaged-project/libblockdev
License -
Maintainer Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Download size 3.87 KB
Installed size 13.00 KB
This package contains header files and pkg-config files needed for development
with the libblockdev-part-err library.

Alternatives

Package Version Architecture Repository
libblockdev-part-err-dev_2.20-7_amd64.deb 2.20 amd64 Debian Main
libblockdev-part-err-dev - - -

Requires

Name Value
libblockdev-part-err2 = 2.20-7
libglib2.0-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libblockdev-part-err-dev_2.20-7_i386.deb
Source Package libblockdev

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libblockdev-part-err-dev deb package:
    # sudo apt-get install libblockdev-part-err-dev

Files

Path
/usr/lib/i386-linux-gnu/libbd_part_err.so
/usr/share/doc/libblockdev-part-err-dev/changelog.Debian.gz
/usr/share/doc/libblockdev-part-err-dev/copyright

Changelog

2019-03-05 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-7) unstable; urgency=medium
* Cherry-pick Use-512bit-keys-in-LUKS-by-default.patch:
- Use AES-256 (512 bit key) by default. From 2.21. (Closes: #910249)
2018-12-01 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-6) unstable; urgency=medium
* Don't build for non-Linux since kmod & other required deps are Linux-only
* Don't try to build nvdimm plugin on ia64 since ndctl hasn't built there yet
2018-11-26 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-5) unstable; urgency=medium
* Try to build the crypto & nvdimm plugins only on architectures
where they will build
2018-11-22 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-4) unstable; urgency=medium
* Team upload.
* Build the new NVDIMM plugin
* Bump debhelper compat to 11
2018-10-20 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-3) unstable; urgency=medium
* Build the new VDO plugin
* debian/copyright: The upstream source is LGPL-2.1+ not GPL-2+
- Thanks Thorsten Alteholz for the careful ftpmaster review
2018-09-29 - Andreas Henriksson <andreas@fatal.se>
libblockdev (2.20-2) unstable; urgency=medium
* Team upload.
* libblockdev2.symbols: Drop s390x specific stub symbols
* debian/rules: drop no longer needed removal of python2
* python3-blockdev: add python3-gi dependency (Closes: #896303)
2018-09-28 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.20-1) unstable; urgency=medium
[ Andreas Henriksson ]
* New upstream release (LP: #1788374)
* Use new configure switch to disable python2
* Disable new nvdimm and vdo plugins for now
* Ship new dbus.h in libblockdev-utils-dev
* libblockdev2.symbols: drop internal _-prefixed symbols
* libblockdev2.symbols: Drop bd_.*_stub symbols
* libblockdev-kbd2.symbols: drop internal wait_for_file symbol
* Add newly introduced symbols
[ Jeremy Bicha ]
* Add lintian overrides for package-name-doesnt-match-sonames:
- Package names like libblockdev-lvm2 are more clear than libbd-lvm2
* Bump Standards-Version to 4.2.1
2018-02-20 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.16-2) unstable; urgency=high
* debian/libblockdev2.symbols: Add s390x-specific symbols
2018-02-19 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.16-1) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* New upstream release
* Add Multi-Arch: same to -dev packages, thanks multiarch hinter
* Add symbols files
* Update Vcs fields for migration to https://salsa.debian.org/
[ Andreas Henriksson ]
* Make libblockdev-fs2 depend on e2fsprogs (Closes: #887270)
2017-12-13 - Jeremy Bicha <jbicha@debian.org>
libblockdev (2.14-3) unstable; urgency=medium
* Team upload
* Drop python-blockdev. It was a relatively new, unused Python 2 package.

See Also

Package Description
libblockdev-part-err2_2.20-7_i386.deb Partition error utility functions for libblockdev
libblockdev-part2_2.20-7_i386.deb Partitioning plugin for libblockdev
libblockdev-plugins-all_2.20-7_i386.deb All plugins for libblockdev
libblockdev-swap-dev_2.20-7_i386.deb Swap plugin for libblockdev - development
libblockdev-swap2_2.20-7_i386.deb Swap plugin for libblockdev
libblockdev-utils-dev_2.20-7_i386.deb Utility functions for libblockdev - development
libblockdev-utils2_2.20-7_i386.deb Utility functions for libblockdev
libblockdev-vdo-dev_2.20-7_i386.deb VDO plugin for libblockdev - development
libblockdev-vdo2_2.20-7_i386.deb VDO plugin for libblockdev
libblockdev2_2.20-7_i386.deb Library for manipulating block devices
libblocksruntime-dev_0.4.1-1.1_i386.deb Blocks Runtime (development files)
libblocksruntime0_0.4.1-1.1_i386.deb Blocks Runtime library
libbloom-dev_1.5-5_i386.deb simple and small bloom filter implementation in C (development files)
libbloom-filter-perl_1.2-2_all.deb Bloom filter implemented in Perl
libbloom1_1.5-5_i386.deb simple and small bloom filter implementation in C
Advertisement
Advertisement